POST
/
api
/
v1
/
agents
/
test-response
Test Agent Response
curl --request POST \
  --url https://api.jobsim.work/api/v1/agents/test-response \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agent_type": "<string>",
  "message_content": "<string>",
  "username": "<string>",
  "channel": "<string>",
  "conversation_context": {
    "channel_name": "<string>",
    "channel_id": "<string>",
    "message_count": 0,
    "back_and_forth_count": 0,
    "contains_policy_keywords": false,
    "contains_logistics_keywords": false,
    "is_direct_mention": false,
    "is_thread": false,
    "is_greeting": false,
    "conversation_history": [
      {}
    ],
    "metadata": {}
  },
  "organization_id": "<string>",
  "user_full_name": "<string>",
  "user_email": "<string>",
  "is_thread": false,
  "thread_id": "<string>",
  "participant_profile_appendix": "<string>"
}
'
{
  "agent_type": "<string>",
  "should_respond": true,
  "response_score": {
    "score": 123,
    "reasoning": "<string>",
    "should_respond": true
  },
  "onboarding_response": {
    "content": "<string>",
    "where_to_send": "<string>",
    "steps": [
      "<string>"
    ],
    "emoji_list": [
      "<string>"
    ],
    "metadata": {}
  },
  "hr_head_response": {
    "content": "<string>",
    "where_to_send": "<string>",
    "channel_redirect_message": "<string>",
    "dm_content": "<string>",
    "include_emoji": false,
    "metadata": {}
  },
  "message_content": "<string>",
  "timestamp": "2023-11-07T05:31:56Z",
  "proactive_dm_triggered": false,
  "proactive_dm_message": "<string>",
  "metadata": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request model for generating agent responses

agent_type
string
required
message_content
string
required
username
string
required
channel
string
required
conversation_context
ConversationContext · object
required

Context of the conversation for agent decision making

organization_id
string | null
user_full_name
string | null
user_email
string | null
is_thread
boolean
default:false
thread_id
string | null
participant_profile_appendix
string | null

Response

Successful Response

Combined output model for agent responses

agent_type
string
required
should_respond
boolean
required
response_score
AgentResponseScore · object

Score model for determining if an agent should respond to a thread

onboarding_response
OnboardingSpecialistResponse · object

Structured response for Onboarding Specialist

hr_head_response
HeadHRResponse · object

Structured response for Head of HR

message_content
string | null
timestamp
string<date-time>
proactive_dm_triggered
boolean
default:false
proactive_dm_message
string | null
metadata
Metadata · object